T0=10;
T=100;
fc=5;
dt=1/fc;
t=0:dt:T;
v=square(2*pi/T0*t);
figure
plot(t,v);
B=[1 -0.6 2];
A=[1 -0.2 0.4];
n=[1 zeros(1,12)];
h=filter(B,A,n);
df=0.1;
N=fc/df;
if mod(N,2)
    f=df*[-(N-1)/2:(N-1)/2];
else
    f=df*[-N/2:N/2-1];
end
H=fft(h,N);
figure
stem(f,fftshift(abs(H)));
figure
stem(f,fftshift(angle(H)));
y=conv(h,v);
y2=filter(B,A,v);
figure
plot(y)
hold on
plot(y2,'r-');
h1=[1 zeros(1,12)]-h;
figure
df=0.1;
N=fc/df;
if mod(N,2)
    f=df*[-(N-1)/2:(N-1)/2];
else
    f=df*[-N/2:N/2-1];
end
H1=fft(h1,N);
figure
stem(f,fftshift(abs(H1)));
figure
stem(f,fftshift(angle(H1)));

H=ones(1,N)-H;
figure
stem(f,fftshift(abs(H)));
figure
stem(f,fftshift(angle(H)));

